RangeBlock

A Rangeblock sparkline can bind to and return a range template to make working with range templates easier. Take a look at the workbook below to see how the RenderSheet uses a range of cells in the TemplateSheet as the template and the OBJECT function to create an object from data in the DataSource sheet.

The demo is being dynamically compiled to support real-time code editing... For quicker access to features, switch to the "JavaScript" tab for a smoother experience! :)
Description
app.js
index.html
styles.css
Copy to CodeMine

You can create a RangeBlock sparkline using the RANGEBLOCKSPARKLINE function in a formula: =RANGEBLOCKSPAKLINE(template_range, data_expr).

The function has the following parameters:

template_range: Reference that represents the range of rangetemplate, such as Template!A1:E10.

data_expr: Cell reference or the result of OBJECT function that represents the object data of range template for the data bind, such as A1 or OBJECT(E4:AB4, E5:AB5).

For example:

// the cell reference
renderSheet.setFormula(0, 0, 'OBJECT("name", "Peyton\'s Assets", "savings", 25000, "shares", 55000, "stocks", 15000, "house", 250000, "bonds", 11000, "car", 7500)');
renderSheet.setFormula(1, 0, '=RANGEBLOCKSPARKLINE(Template!A1:E10, A1)');

// the result of OBJECT function
renderSheet.setFormula(0, 0, 'RANGEBLOCKSPARKLINE(TemplateSheet!A2:F11, OBJECT(E4:AB4, E5:AB5))');

For the OBJECT function, you can create an object using OBJECT function in a formula:
=OBJECT(prop1, expr1, prop2, expr2, …) // the 1->1 case
or =OBJECT(props_range, exprs_range) // the n1->n2 case
or =OBJECT(property1, expressionArray1, property2, expressionArray2, …) // the 1->n case.
It defines an object and the params must be key-value order and needs to come in pairs. The prop and value support 1->1, 1->n, n1->n2(n1 equals to n2). The case of 1->1 and n1->n2 returns an object, the case of 1->n returns an object array.

For example:

sheet.setValue(0, 0, "name");
sheet.setValue(0, 1, "test");
sheet.setValue(1, 0, "sex");
sheet.setValue(1, 1, "M");
sheet.setValue(2, 0, "age");
sheet.setValue(2, 1, 20);

sheet.setFormula(3, 0, 'OBJECT(A1:A3, B1:B3)'); // the n1->n2 case

sheet.setFormula(3, 0, 'OBJECT(A1, B1, A2, B2, A3, B3)'); // the 1->1 case

sheet.setFormula(3, 0, 'OBJECT("name","test")'); // the 1->1 case



// The 1->n case
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), { sheetCount: 2 });
spread.options.allowDynamicArray = true;
var dataSheet = spread.getSheet(1);
dataSheet.name("Data");
var prefixes = ['a', 'b', 'c', 'd'];
var arrayValues = [], rowValues;
for (var i = 0; i < 6; i++) {
    rowValues = [];
    for (var j = 0; j < 4; j++) {
        rowValues[j] = prefixes[j] + (i + 1);
    }
    arrayValues[i] = rowValues;
}
dataSheet.setArray(0, 0, arrayValues);

var sheet = spread.getActiveSheet();
sheet.setRowCount(2);
sheet.setColumnCount(3);
for (var i = 0; i < 2; i++) {
    sheet.setRowHeight(i, 100);
    for (var j = 0; j < 3; j++) {
        sheet.setColumnWidth(j, 100);
    }
}
sheet.setFormula(0, 0, '=OBJECT("name", INDEX(Data!A1:D6,SEQUENCE(2,3,1),1), "age", INDEX(Data!A1:D6, SEQUENCE(2,3,1),2))');
You can create a RangeBlock sparkline using the RANGEBLOCKSPARKLINE function in a formula: =RANGEBLOCKSPAKLINE(template_range, data_expr). The function has the following parameters: template_range: Reference that represents the range of rangetemplate, such as Template!A1:E10. data_expr: Cell reference or the result of OBJECT function that represents the object data of range template for the data bind, such as A1 or OBJECT(E4:AB4, E5:AB5). For example: For the OBJECT function, you can create an object using OBJECT function in a formula: =OBJECT(prop1, expr1, prop2, expr2, …) // the 1->1 case or =OBJECT(props_range, exprs_range) // the n1->n2 case or =OBJECT(property1, expressionArray1, property2, expressionArray2, …) // the 1->n case. It defines an object and the params must be key-value order and needs to come in pairs. The prop and value support 1->1, 1->n, n1->n2(n1 equals to n2). The case of 1->1 and n1->n2 returns an object, the case of 1->n returns an object array. For example:
var spreadNS = GC.Spread.Sheets; window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), { sheetCount: 3 }); spread.options.allowDynamicArray = true; initSpread(spread); }; function initSpread(spread) { var renderSheet = spread.getSheet(0); var templateSheet = spread.getSheet(1); var dataSheet = spread.getSheet(2); spread.options.scrollByPixel = true; spread.options.scrollPixel = 10; spread.suspendPaint(); initTemplateSheet(templateSheet); initDataSheet(dataSheet); initRenderSheet(renderSheet); spread.resumePaint(); } function initRenderSheet (renderSheet) { renderSheet.name("RenderSheet"); renderSheet.setColumnCount(50); renderSheet.setColumnWidth(0, 1200); renderSheet.getCell(0, 0).value("Top 5 Products (by units sold)") .font("20px Arial").vAlign(GC.Spread.Sheets.VerticalAlign.center) .foreColor("white").backColor("#82bc00"); renderSheet.setRowHeight(0, 35); for (var i = 1; i < 6; i++) { renderSheet.setRowHeight(i, 250); renderSheet.setFormula(i, 0, 'RANGEBLOCKSPARKLINE(TemplateSheet!A2:M11, OBJECT(product_table[#Headers], INDEX(product_table[#Data],ROW()-1,SEQUENCE(COUNTA(product_table[#Headers]),1))))'); } } function initTemplateSheet (templateSheet) { templateSheet.fromJSON(templateJson); templateSheet.name("TemplateSheet"); templateSheet.setFormatter(2,1,"=IMAGE(\"$DEMOROOT$/spread/source/images/products/\"&@)"); templateSheet.setBindingPath(2,1,"Image"); } function initDataSheet (dataSheet) { dataSheet.fromJSON(dataJson); }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/data/range-block-data.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/data/range-block-template.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" style="width:100%;height:100%"></div> </div></body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

You can create a RangeBlock sparkline using the RANGEBLOCKSPARKLINE function in a formula: =RANGEBLOCKSPAKLINE(template_range, data_expr).
The function has the following parameters:
template_range: Reference that represents the range of rangetemplate, such as Template!A1:E10.
data_expr: Cell reference or the result of OBJECT function that represents the object data of range template for the data bind, such as A1 or OBJECT(E4:AB4, E5:AB5).
For example:
For the OBJECT function, you can create an object using OBJECT function in a formula:
=OBJECT(prop1, expr1, prop2, expr2, …) // the 1->1 case
or =OBJECT(props_range, exprs_range) // the n1->n2 case
or =OBJECT(property1, expressionArray1, property2, expressionArray2, …) // the 1->n case.
It defines an object and the params must be key-value order and needs to come in pairs.
The prop and value support 1->1, 1->n, n1->n2(n1 equals to n2). The case of 1->1 and n1->n2 returns an object, the case of 1->n returns an object array.
For example:
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread" :newTabVisible=false>
<gc-worksheet>
</gc-worksheet>
<gc-worksheet>
</gc-worksheet>
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
</div>
</template>
<script setup>
import { ref } from "vue";
import GC from "@mescius/spread-sheets";
import '@mescius/spread-sheets-vue'
let initSpread = function (spread) {
spread.options.allowDynamicArray = true;
let renderSheet = spread.getSheet(0);
let templateSheet = spread.getSheet(1);
let dataSheet = spread.getSheet(2);
spread.options.scrollByPixel = true;
spread.options.scrollPixel = 10;
spread.suspendPaint();
initTemplateSheet(templateSheet);
initDataSheet(dataSheet);
initRenderSheet(renderSheet);
spread.resumePaint();
}
let initRenderSheet = function (renderSheet) {
renderSheet.name("RenderSheet");
renderSheet.setColumnCount(50);
renderSheet.setColumnWidth(0, 1200);
renderSheet.getCell(0, 0).value("Top 5 Products (by units sold)")
.font("20px Arial").vAlign(GC.Spread.Sheets.VerticalAlign.center)
.foreColor("white").backColor("#82bc00");
renderSheet.setRowHeight(0, 35);
for (var i = 1; i < 6; i++) {
renderSheet.setRowHeight(i, 250);
renderSheet.setFormula(i, 0, 'RANGEBLOCKSPARKLINE(TemplateSheet!A2:M11, OBJECT(product_table[#Headers], INDEX(product_table[#Data],ROW()-1,SEQUENCE(COUNTA(product_table[#Headers]),1))))');
}
}
let initTemplateSheet = function (templateSheet) {
templateSheet.fromJSON(templateJson);
templateSheet.name("TemplateSheet");
templateSheet.setFormatter(2, 1, "=IMAGE(\"$DEMOROOT$/spread/source/images/products/\"&@)");
templateSheet.setBindingPath(2, 1, "Image");
}
let initDataSheet = function (dataSheet) {
dataSheet.fromJSON(dataJson);
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="$DEMOROOT$/spread/source/data/range-block-data.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/data/range-block-template.js" type="text/javascript"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

You can create a RangeBlock sparkline using the RANGEBLOCKSPARKLINE function in a formula: =RANGEBLOCKSPAKLINE(template_range, data_expr).
The function has the following parameters:
template_range: Reference that represents the range of rangetemplate, such as Template!A1:E10.
data_expr: Cell reference or the result of OBJECT function that represents the object data of range template for the data bind, such as A1 or OBJECT(E4:AB4, E5:AB5).
For example:
For the OBJECT function, you can create an object using OBJECT function in a formula:
=OBJECT(prop1, expr1, prop2, expr2, …) // the 1->1 case
or =OBJECT(props_range, exprs_range) // the n1->n2 case
or =OBJECT(property1, expressionArray1, property2, expressionArray2, …) // the 1->n case.
It defines an object and the params must be key-value order and needs to come in pairs.
The prop and value support 1->1, 1->n, n1->n2(n1 equals to n2). The case of 1->1 and n1->n2 returns an object, the case of 1->n returns an object array.
For example:
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
export function AppFunc() {
let spread = null;
const initSpread = (currSpread) => {
spread = currSpread;
spread.options.allowDynamicArray = true;
let renderSheet = spread.getSheet(0);
let templateSheet = spread.getSheet(1);
let dataSheet = spread.getSheet(2);
spread.options.scrollByPixel = true;
spread.options.scrollPixel = 10;
spread.suspendPaint();
initTemplateSheet(templateSheet);
initDataSheet(dataSheet);
initRenderSheet(renderSheet);
spread.resumePaint();
}
const initRenderSheet = (renderSheet) => {
renderSheet.name("RenderSheet");
renderSheet.setColumnCount(50);
renderSheet.setColumnWidth(0, 1200);
renderSheet.getCell(0, 0).value("Top 5 Products (by units sold)")
.font("20px Arial").vAlign(GC.Spread.Sheets.VerticalAlign.center)
.foreColor("white").backColor("#82bc00");
renderSheet.setRowHeight(0, 35);
for (var i = 1; i < 6; i++) {
renderSheet.setRowHeight(i, 250);
renderSheet.setFormula(i, 0, 'RANGEBLOCKSPARKLINE(TemplateSheet!A2:M11, OBJECT(product_table[#Headers], INDEX(product_table[#Data],ROW()-1,SEQUENCE(COUNTA(product_table[#Headers]),1))))');
}
}
const initTemplateSheet = (templateSheet) => {
templateSheet.fromJSON(templateJson);
templateSheet.name("TemplateSheet");
templateSheet.setFormatter(2, 1, "=IMAGE(\"$DEMOROOT$/spread/source/images/products/\"&@)");
templateSheet.setBindingPath(2, 1, "Image");
}
const initDataSheet = (dataSheet) => {
dataSheet.fromJSON(dataJson);
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)} newTabVisible={false}>
<Worksheet>
</Worksheet>
<Worksheet>
</Worksheet>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>
);
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
}
render() {
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)} newTabVisible = {false}>
<Worksheet>
</Worksheet>
<Worksheet>
</Worksheet>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>
)
}
initSpread(spread) {
this.spread = spread;
spread.options.allowDynamicArray = true;
let renderSheet = spread.getSheet(0);
let templateSheet = spread.getSheet(1);
let dataSheet = spread.getSheet(2);
spread.options.scrollByPixel = true;
spread.options.scrollPixel = 10;
spread.suspendPaint();
this.initTemplateSheet(templateSheet);
this.initDataSheet(dataSheet);
this.initRenderSheet(renderSheet);
spread.resumePaint();
}
initRenderSheet (renderSheet) {
renderSheet.name("RenderSheet");
renderSheet.setColumnCount(50);
renderSheet.setColumnWidth(0, 1200);
renderSheet.getCell(0, 0).value("Top 5 Products (by units sold)")
.font("20px Arial").vAlign(GC.Spread.Sheets.VerticalAlign.center)
.foreColor("white").backColor("#82bc00");
renderSheet.setRowHeight(0, 35);
for (var i = 1; i < 6; i++) {
renderSheet.setRowHeight(i, 250);
renderSheet.setFormula(i, 0, 'RANGEBLOCKSPARKLINE(TemplateSheet!A2:M11, OBJECT(product_table[#Headers], INDEX(product_table[#Data],ROW()-1,SEQUENCE(COUNTA(product_table[#Headers]),1))))');
}
}
initTemplateSheet (templateSheet) {
templateSheet.fromJSON(templateJson);
templateSheet.name("TemplateSheet");
templateSheet.setFormatter(2,1,"=IMAGE(\"$DEMOROOT$/spread/source/images/products/\"&@)");
templateSheet.setBindingPath(2,1,"Image");
}
initDataSheet (dataSheet) {
dataSheet.fromJSON(dataJson);
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/spread/source/data/range-block-data.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/data/range-block-template.js" type="text/javascript"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.sample-spreadsheets {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

You can create a RangeBlock sparkline using the RANGEBLOCKSPARKLINE function in a formula: =RANGEBLOCKSPAKLINE(template_range, data_expr).
The function has the following parameters:
template_range: Reference that represents the range of rangetemplate, such as Template!A1:E10.
data_expr: Cell reference or the result of OBJECT function that represents the object data of range template for the data bind, such as A1 or OBJECT(E4:AB4, E5:AB5).
For example:
For the OBJECT function, you can create an object using OBJECT function in a formula:
=OBJECT(prop1, expr1, prop2, expr2, …) // the 1->1 case
or =OBJECT(props_range, exprs_range) // the n1->n2 case
or =OBJECT(property1, expressionArray1, property2, expressionArray2, …) // the 1->n case.
It defines an object and the params must be key-value order and needs to come in pairs.
The prop and value support 1->1, 1->n, n1->n2(n1 equals to n2). The case of 1->1 and n1->n2 returns an object, the case of 1->n returns an object array.
For example:
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
float: 'left'
};
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
spread.options.allowDynamicArray = true;
let renderSheet = spread.getSheet(0);
let templateSheet = spread.getSheet(1);
let dataSheet = spread.getSheet(2);
spread.options.scrollByPixel = true;
spread.options.scrollPixel = 10;
spread.suspendPaint();
this.initTemplateSheet(templateSheet);
this.initDataSheet(dataSheet);
this.initRenderSheet(renderSheet);
spread.resumePaint();
}
initRenderSheet (renderSheet: GC.Spread.Sheets.Worksheet) {
renderSheet.name("RenderSheet");
renderSheet.setColumnCount(50);
renderSheet.setColumnWidth(0, 1200);
renderSheet.getCell(0, 0).value("Top 5 Products (by units sold)")
.font("20px Arial").vAlign(GC.Spread.Sheets.VerticalAlign.center)
.foreColor("white").backColor("#82bc00");
renderSheet.setRowHeight(0, 35);
for (var i = 1; i < 6; i++) {
renderSheet.setRowHeight(i, 250);
renderSheet.setFormula(i, 0, 'RANGEBLOCKSPARKLINE(TemplateSheet!A2:M11, OBJECT(product_table[#Headers], INDEX(product_table[#Data],ROW()-1,SEQUENCE(COUNTA(product_table[#Headers]),1))))');
}
}
initTemplateSheet (templateSheet: GC.Spread.Sheets.Worksheet) {
templateSheet.fromJSON(templateJson);
templateSheet.name("TemplateSheet");
templateSheet.setFormatter(2,1,"=IMAGE(\"$DEMOROOT$/spread/source/images/products/\"&@)");
templateSheet.setBindingPath(2,1,"Image");
}
initDataSheet (dataSheet: GC.Spread.Sheets.Worksheet) {
dataSheet.fromJSON(dataJson);
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/spread/source/data/range-block-data.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/data/range-block-template.js" type="text/javascript"></script>
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)" [newTabVisible] = false>
<gc-worksheet>
</gc-worksheet>
<gc-worksheet>
</gc-worksheet>
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.sample-spreadsheets {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);